Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.iapi
Enum InvocationStyle

    java.lang.Object
      java.lang.Enum<InvocationStyle>
          org.apache.ode.bpel.iapi.InvocationStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InvocationStyle>

    public enum InvocationStyle

extends java.lang.Enum<InvocationStyle>

Style of invocation supported by the integration layer for a given operation.

Enum Constant Summary
`P2P` Process-2-Process, used when "including" one process in another.
`P2P_TRANSACTED` Process-2-Process, used when "including" one process in another.
`RELIABLE` Reliable style -- the IL/engine will queue the invocation using the current transaction.
`TRANSACTED` Transacted style -- the IL/engine will enroll the operation with the current transaction.
`UNRELIABLE` Unreliable style -- the "default"

Method Summary
`static InvocationStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InvocationStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RELIABLE

    public static final InvocationStyle RELIABLE

  Reliable style -- the IL/engine will queue the invocation using the current transaction. The response will be delivered when available using a separate transaction.

### TRANSACTED

    public static final InvocationStyle TRANSACTED

  Transacted style -- the IL/engine will enroll the operation with the current transaction. The IL/engine will block until the operation completes.

### UNRELIABLE

    public static final InvocationStyle UNRELIABLE

  Unreliable style -- the "default"

### P2P

    public static final InvocationStyle P2P

  Process-2-Process, used when "including" one process in another.

### P2P_TRANSACTED

    public static final InvocationStyle P2P_TRANSACTED

  Process-2-Process, used when "including" one process in another. Transacted style -- the IL/engine will enroll the operation with the current transaction. The IL/engine will block until the operation completes.

Method Detail

### values

    public static final InvocationStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InvocationStyle c : InvocationStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InvocationStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD